> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get details for a HubSpot account

> This endpoint uses an API key or access token to get details for a HubSpot account. Returns the Portal ID (often called the Hub ID), time zone setting, and selected currency of the account.



## OpenAPI

````yaml specs/legacy/v1/account-activity-v1.json GET /integrations/v1/me
openapi: 3.0.0
info:
  title: Account Activity API v1
  version: 1.0.0
  description: >-
    The account activity API allows you to retrieve login history and security
    activity for your HubSpot account.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security:
  - oauth2: []
  - private_apps: []
paths:
  /integrations/v1/me:
    get:
      summary: Get details for a HubSpot account
      description: >-
        This endpoint uses an API key or access token to get details for a
        HubSpot account. Returns the Portal ID (often called the Hub ID), time
        zone setting, and selected currency of the account.
      operationId: getAccountDetails
      responses:
        '200':
          description: Account details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountDetails'
              examples:
                example1:
                  summary: Account details example
                  value:
                    portalId: 2519445
                    timeZone: America/New_York
                    currency: USD
                    utcOffsetMilliseconds: -18000000
                    utcOffset: '-05:00'
        default:
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    AccountDetails:
      type: object
      properties:
        portalId:
          type: integer
          description: The Portal ID (often called the Hub ID) of the account
        timeZone:
          type: string
          description: The time zone setting of the account
        currency:
          type: string
          description: The selected currency of the account
        utcOffsetMilliseconds:
          type: integer
          description: The UTC offset in milliseconds
        utcOffset:
          type: string
          description: The UTC offset in standard format (e.g., '-05:00')
      required:
        - portalId
        - timeZone
        - currency
        - utcOffsetMilliseconds
        - utcOffset
    Error:
      type: object
      properties:
        category:
          type: string
          description: The error category
        correlationId:
          type: string
          description: A unique identifier for the request
        message:
          type: string
          description: A human readable message describing the error
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
        errors:
          type: array
          description: Further information about the error
          items:
            $ref: '#/components/schemas/ErrorDetail'
        context:
          type: object
          description: Context about the error condition
        links:
          type: object
          description: A map of link names to associated URIs
      required:
        - category
        - correlationId
        - message
    ErrorDetail:
      type: object
      properties:
        message:
          type: string
          description: A human readable message describing the error
        in:
          type: string
          description: The name of the field or parameter in which the error was found
        code:
          type: string
          description: The status code associated with the error detail
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
        context:
          type: object
          description: Context about the error condition
      required:
        - message
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://app.hubspot.com/oauth/authorize
          tokenUrl: https://api.hubapi.com/oauth/v1/token
          scopes: {}
    private_apps:
      type: apiKey
      in: header
      name: Authorization

````